@echo off
REM Upload new firmware to ATmega8U2 on Arduino Uno

set TOOLS=..\..\..\tools
set AVRDUDE="%TOOLS%\avr\bin\avrdude"
set AVRCONF="%TOOLS%\avr\etc\avrdude.conf"
set BAUD=19200
set /p PORT=Enter port number:

%AVRDUDE% -C%AVRCONF% ^
  -p at90usb82 -P com%PORT% -b %BAUD% -c stk500v1 -v -F -e -u ^
  -U efuse:w:0xF4:m ^
  -U hfuse:w:0xDF:m ^
  -U lfuse:w:0xFF:m ^
  -U flash:w:Arduino-usbisp.hex ^
  -U lock:w:0x2b:m

pause
